# QImage Class Reference

### [com.trolltech.qt.gui package]

Inherits QPaintDevice.

### Constructor

- void QImage()
- void QImage(QImage arg__1)
- void QImage(QSize size, Format format)
- void QImage(String fileName, char format)
- void QImage(int width, int height, Format format)

### Constructor Properties

- prototype: The QImage prototype object
- QImage fromData(QByteArray data, char format)
- QMatrix trueMatrix(QMatrix arg__1, int w, int h)
- InvertRgb
- InvertRgba
- InvertMode( value )
- Format_Invalid
- Format_Mono
- Format_MonoLSB
- Format_Indexed8
- Format_RGB32
- Format_ARGB32
- Format_ARGB32_Premultiplied
- Format_RGB16
- Format_ARGB8565_Premultiplied
- Format_RGB666
- Format_ARGB6666_Premultiplied
- Format_RGB555
- Format_ARGB8555_Premultiplied
- Format_RGB888
- Format_RGB444
- Format_ARGB4444_Premultiplied
- NImageFormats
- Format( value )

### Prototype Object Properties

- bool allGray()
- QImage alphaChannel()
- int bitPlaneCount()
- int byteCount()
- int bytesPerLine()
- qint64 cacheKey()
- unsigned int color(int i)
- List colorTable()
- uchar constBits()
- uchar constScanLine(int arg__1)
- QImage convertToFormat(Format f, ImageConversionFlags flags)
- QImage copy(QRect rect)
- QImage createAlphaMask(ImageConversionFlags flags)
- QImage createHeuristicMask(bool clipTight)
- QImage createMaskFromColor(unsigned int color, MaskMode mode)
- int dotsPerMeterX()
- int dotsPerMeterY()
- void fill(GlobalColor color)
- Format format()
- bool hasAlphaChannel()
- void invertPixels(InvertMode arg__1)
- bool isGrayscale()
- bool isNull()
- bool load(QIODevice device, char format)
- bool loadFromData(QByteArray data, char aformat)
- QImage mirrored(bool horizontally, bool vertically)
- int numBytes()
- QPoint offset()
- bool operator_equal(QImage arg__1)
- unsigned int pixel(QPoint pt)
- int pixelIndex(QPoint pt)
- void readFrom(QDataStream arg__1)
- QRect rect()
- QImage rgbSwapped()
- bool save(QIODevice device, char format, int quality)
- QImage scaled(QSize s, AspectRatioMode aspectMode, TransformationMode mode)
- QImage scaledToHeight(int h, TransformationMode mode)
- QImage scaledToWidth(int w, TransformationMode mode)
- void setAlphaChannel(QImage alphaChannel)
- void setColor(int i, unsigned int c)
- void setColorCount(int arg__1)
- void setDotsPerMeterX(int arg__1)
- void setDotsPerMeterY(int arg__1)
- void setNumColors(int arg__1)
- void setOffset(QPoint arg__1)
- void setPixel(QPoint pt, uint index_or_rgb)
- void setText(String key, String value)
- QSize size()
- void swap(QImage other)
- String text(String key)
- List textKeys()
- QImage transformed(QMatrix matrix, TransformationMode mode)
- bool valid(QPoint pt)
- void writeTo(QDataStream arg__1)

### Instance Properties

QImage objects have no special properties beyond those inherited from the QImage prototype object.